Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Get safety case

GET
/safety/cases/{id}

Get a safety case by ID.

Path Parameters
id: string

Safety case ID

maxLength128
Returns
SafetyCase object { id, created_at, entity_identifier, 3 more }
id: string
created_at: integer
formatunixtime
entity_identifier: string
notice: object { type }
type: "warning" or "deactivation"
One of the following:
"warning"
"deactivation"
object: "safety.case" (default: "safety.case")
reason: string or null

Get safety case

curl https://api.openai.com/v1/safety/cases/C-abc123 \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response example
{
  "id": "C-abc123",
  "object": "safety.case",
  "created_at": 1787659200,
  "entity_identifier": "safety-id-123",
  "reason": "cyber_abuse",
  "notice": {"type": "warning"}
}
Returns Examples
Response example
{
  "id": "C-abc123",
  "object": "safety.case",
  "created_at": 1787659200,
  "entity_identifier": "safety-id-123",
  "reason": "cyber_abuse",
  "notice": {"type": "warning"}
}